using System;
class Program
{
    static void Main()
    {
        int t = int.Parse(Console.ReadLine());
        string[] s = Console.ReadLine().Split();
        long n = long.Parse(s[0]);
        long k = long.Parse(s[1]);
        string[] s1 = Console.ReadLine().Split();
        long[] a = new long[n];
        for(int i = 0; i < n; i++)
        {
            a[i] = long.Parse(s1[i]);
        }

        Console.WriteLine("DA");

    }
}